/* Flexbox container for livestream and chat */
.livestream.section {
    display: flex;
    justify-content: space-between;
}

/* Video container style */
.container {
    flex: 1;
    max-width: 70%;
}

/* Chat widget container style */
.chat-widget {
    flex: 1;
    max-width: 30%;
    height: 100%;
    margin-left: 20px;
}

/* Make Rocket.Chat widget show up on the right */
.rocketchat-widget {
    position: fixed;
    width: 397px;
    height: 611px;
    max-height: 100vh;
    bottom: 100px !important;
    right: 0px;
    z-index: 12345;
    transition: all 0.3s ease; /* Smooth transition for opening and closing */
}

/* Initially, the widget is hidden */
.rocketchat-widget[data-state="closed"] {
    transform: translateX(100%); /* Hide the widget by shifting it off-screen */
}

/* When the widget is open, it will slide into view */
.rocketchat-widget[data-state="opened"] {
    transform: translateX(0); /* Bring the widget into view */
}

/* Button or action to open the chat */
.screen__POUUM {
    cursor: pointer;
    /* Add additional styles for your button */
}
